Bulk update statuses

Body·
required
application/json

Array of Status records values to be updated

  • Type: array object[] · Statuses

    Array of objects

Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for put/status/
curl https://test.boost.space/api/status/ \
  --request PUT \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '[
  {
    "id": 42,
    "created": "2026-01-15T09:30:00Z",
    "created_user_id": 42,
    "name": "Sample name",
    "color": "#1f6feb",
    "icon": "string",
    "icon_prefix": "string",
    "weight": 1,
    "status_system_id": 42,
    "boostId": "string",
    "spaces": [
      1
    ],
    "statusSystem": {
      "id": 42,
      "color": "#1f6feb",
      "icon_prefix": "string",
      "icon": "string",
      "module": "string",
      "weight": 1,
      "name": "Sample name",
      "system_name": "Sample system_name",
      "activated": 1,
      "custom": true,
      "allow_move": "string",
      "boostId": "string"
    }
  }
]'
[
  {
    "id": 42,
    "created": "2026-01-15T09:30:00Z",
    "created_user_id": 42,
    "name": "Sample name",
    "color": "#1f6feb",
    "icon": "string",
    "icon_prefix": "string",
    "weight": 1,
    "status_system_id": 42,
    "boostId": "string",
    "spaces": [
      1
    ],
    "statusSystem": {
      "id": 42,
      "color": "#1f6feb",
      "icon_prefix": "string",
      "icon": "string",
      "module": "string",
      "weight": 1,
      "name": "Sample name",
      "system_name": "Sample system_name",
      "activated": 1,
      "custom": true,
      "allow_move": "string",
      "boostId": "string"
    }
  }
]